NetBSD Problem Report #52449

From www@NetBSD.org  Tue Aug  1 00:33:38 2017
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id D106F7A16A
	for <gnats-bugs@gnats.NetBSD.org>; Tue,  1 Aug 2017 00:33:37 +0000 (UTC)
Message-Id: <20170801003336.982587A288@mollari.NetBSD.org>
Date: Tue,  1 Aug 2017 00:33:36 +0000 (UTC)
From: coypu@sdf.org
Reply-To: coypu@sdf.org
To: gnats-bugs@NetBSD.org
Subject: need deprecated function dlatzm from lapack or blas
X-Send-Pr-Version: www-1.0

>Number:         52449
>Category:       pkg
>Synopsis:       need deprecated function dlatzm from lapack or blas
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    adam
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Aug 01 00:35:01 +0000 2017
>Last-Modified:  Tue Aug 01 09:51:10 +0000 2017
>Originator:     coypu
>Release:        NetBSD 8.99.1, pkgsrc-current
>Organization:
>Environment:
NetBSD loggy 8.99.1 NetBSD 8.99.1 (GENERIC) #82: Thu Jun 22 15:45:33 IDT 2017  fly@loggy:/home/fly/obj/sys/arch/amd64/compile/GENERIC amd64

>Description:
After adding gfortran to PATH, switching to bsdtar, finally I can use octave-forge! only, the most basic package:

octave:1> pkg install -forge control
...
/home/fly/octave/control-3.0.0/x86_64--netbsd-api-v51/__control_slicot_functions__.oct: failed to load: /home/fly/octave/control-3.0.0/x86_64--netbsd-api-v51/__control_slicot_functions__.oct: Undefined PLT symbol "dlatzm_" (symnum = 204)

Many packages require control, and control uses SLICOT.
SLICOT uses a deprecated function: dlatzm.

SLICOT can be patched (for example: https://trac.macports.org/ticket/49824 ), but we have no way to do so if we have no octave-packages, and just use upstream as-is.
>How-To-Repeat:

>Fix:
No idea, but it claims if I just add BUILD_DEPRECATED = Yes to make.inc it will build. didn't work?

>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->maya
Responsible-Changed-By: maya@NetBSD.org
Responsible-Changed-When: Tue, 01 Aug 2017 09:50:48 +0000
Responsible-Changed-Why:
Over to lapack maintainer - any idea?


Responsible-Changed-From-To: maya->adam
Responsible-Changed-By: maya@NetBSD.org
Responsible-Changed-When: Tue, 01 Aug 2017 09:51:10 +0000
Responsible-Changed-Why:
Over to lapack maintainer - any idea?
(oops)


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.